Bug 192603 - Review Request: openalpp - Object Oriented version of OpenAL
Review Request: openalpp - Object Oriented version of OpenAL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-21 16:06 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 18:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-05-21 16:06:08 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/openalpp.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/openalpp-20060405-2.src.rpm

Description:
Written in C++, makes OpenAL so much more accessible. Compare openalpp to a
scenegraph for OpenGL.
Comment 1 Hans de Goede 2006-05-29 02:01:49 EDT
Claiming this one before Mike (wart) does it, so that I actually get a chance to
give some reviews back for all the reviews you have been doing for me :)

Dunno when I have the time todo the actual review though, might take a couple of
days (but no longer).
Comment 2 Hans de Goede 2006-05-29 04:55:47 EDT
MUST:
=====
* rpmlint output is: 
 W: openalpp-devel no-documentation
 No problem here.
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License (LGPL) ok, license file included
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel-i386
* BR: ok
* No locales
* ldconfig properly called for shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* proper -devel package needed
* .la files not packaged
* no gui -> no .desktop file required


MUST fix:
=========
* Group: for the base package is wrong it should be:
 "System Environment/Libraries"


Should fix:
===========
* Why patch 3330 ???
Comment 3 Christopher Stone 2006-05-30 15:48:03 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/openalpp.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/openalpp-20060405-3.src.rpm

%changelog
* Tue May 30 2006 Christopher Stone <chris.stone@gmail.com> 20060405-3
- Fix Group
- Fix patch number

The debian guys added that patch to the spec file, I'm not sure why they chose
3330, I've changed it back to just patch0.  Group has also been fixed.  Thanks
for the review!

I'm not sure if you noticed, but I did approve the xgalaga package a week ago.
Comment 4 Hans de Goede 2006-05-31 03:08:08 EDT
All problems fixed -> approved!

> I'm not sure if you noticed, but I did approve the xgalaga package a week ago.

No I didn't notice, this must have fallen through the cracks, thanks for the
headsup.

Note You need to log in before you can comment on or make changes to this bug.